routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\AdminController;
use App\Http\Controllers\RuanganController;
use App\Http\Controllers\DokterController;
use App\Http\Controllers\AduanController;
use App\Http\Controllers\BannerAdsController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware(['auth', 'cekuser:admin'])->group(function () {
    Route::get('/', [AdminController::class, 'index']);

    Route::get('admin', [AdminController::class, 'index'])->name('home');;
    Route::resource('ruangan', RuanganController::class);
    Route::resource('dokter', DokterController::class);
    Route::post('del_dokter/{id}', [DokterController::class, 'destroy']);
    Route::get('jadwal_dokter/{dokterId}', [DokterController::class, 'editJadwal']);
    Route::post('input_jadwal/{dokterId}', [DokterController::class, 'inputJadwal']);
    
    Route::post('upload_image_ruangan', [RuanganController::class, 'uploadImage']);
    Route::get('fetch_image_ruangan/{ruanganId}', [RuanganController::class, 'fetchImage']);
    Route::get('delete_image_ruangan/{id}', [RuanganController::class, 'deleteImage']);

    Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

    Route::resource('users', App\Http\Controllers\KelolaUserController::class);
    Route::resource('banners', BannerAdsController::class);
    Route::resource('kelola_pelayanan',  App\Http\Controllers\KelolaPelayananController::class);
    Route::get('kelola-not-direct/{pelayananId}',  [App\Http\Controllers\KelolaPelayananController::class, 'showNotDirect']);
    Route::post('simpan_foto_det_pel',  [App\Http\Controllers\KelolaPelayananController::class, 'simpanFotoDetPel']);
    Route::get('delete-not-direct/{id}',  [App\Http\Controllers\KelolaPelayananController::class, 'deleteFotoDetPel']);
    Route::post('update-detail-pelayanan-not-direct',  [App\Http\Controllers\KelolaPelayananController::class, 'storeDetPelNotDirect']);
    Route::post('update_pelayanan_direct',  [App\Http\Controllers\KelolaPelayananController::class, 'simpanDirectPelayanan']);
    Route::post('update_det_pelayanan_direct',  [App\Http\Controllers\KelolaPelayananController::class, 'storeDetPelDirect']);
    Route::get('delete-direct-pelayanan/{pelayananId}',  [App\Http\Controllers\KelolaPelayananController::class, 'delDirectPelayanan']);
    Route::post('simpan_new_pelayanan',  [App\Http\Controllers\KelolaPelayananController::class, 'storeNewPelayanan']);
    Route::post('simpan_not_direct_pel/{id}',  [App\Http\Controllers\KelolaPelayananController::class, 'storeNewNotDirect']);
    
});

Route::middleware(['auth'])->group(function () {
    Route::get('pengaduan', [AduanController::class, 'index']);
    Route::get('pengaduan/{id}', [AduanController::class, 'showAduan']);
    Route::get('histori_pengaduan', [AduanController::class, 'historiAduan']);
    Route::get('fetch_data_duahari_aduan', [AduanController::class, 'fetchDataDuaHari']);
    Route::get('fetch_data_aduan', [AduanController::class, 'fetchData']);
    Route::get('get_unsoundbell', [AduanController::class, 'getUnSoundBell']);

    Route::post('mute_sound_bell', [AduanController::class, 'mutedSoundBell']);
    Route::post('action_aduan', [AduanController::class, 'actionAduan']);
    Route::get('get_aduan_by/{id}', [AduanController::class, 'getAduan']);
    Route::post('konfirmasi_aduan', [AduanController::class, 'sendKonfirmasi']);
});


Auth::routes(['register' => false]);

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;
use Tymon\JWTAuth\Contracts\JWTSubject;

class User extends Authenticatable implements JWTSubject

{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $connection = 'mysql';
    protected $fillable = [
        'nik',
        'name',
        'username',
        'name',
        'email',
        'password',
        'telepon',
        'foto_ktp',
        'user_type',
        'otp',
        'is_verified_otp',
        'ip_address',
        'request_reset_password',
        'kode_reset_password'
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    public function getJWTIdentifier()
    {
        return $this->getKey();
    }

    public function getJWTCustomClaims()
    {
        return [];
    }


}

resources/views/admin/users/index.blade.php
@extends('templates.main')
@section('content')
<div class="pagetitle">
    <h1>Data Users</h1>
    <nav>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ url('dashboard') }}">Dashboard</a></li>
            <li class="breadcrumb-item active">Users</li>
        </ol>
    </nav>
</div>
<section class="section">
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">Data User</h5>
                    <table class="table" id="datatable">
                        <thead>
                            <tr>
                                <th>
                                    No
                                </th>
                                <th>
                                    Nama
                                </th>
                                <th>
                                    Username
                                </th>
                                <th>
                                    No HP
                                </th>
                                <th>
                                    Status User
                                </th>
                                <th>
                                    OTP Verifikasi
                                </th>
                                <th>
                                    Aksi
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            @php $no = 0; @endphp
                            @foreach($users as $row)
                            @php $no++; @endphp
                            <tr>
                                <td>
                                    {{ $no }}
                                </td>
                                <td>
                                    {{ $row->name }}
                                </td>
                                <td>
                                    {{ $row->email }}
                                </td>
                                <td>
                                    {{ $row->telepon }}
                                </td>
                                <td>
                                    @if($row->is_active == 1)
                                        Aktif
                                    @elseif($row->is_active == 0)
                                        Tidak Aktif 
                                    @else 
                                        -
                                    @endif
                                </td>
                                <td>
                                    @if($row->is_verified_otp == 0)
                                        Belum OTP
                                    @elseif($row->is_verified_otp == 1)
                                        Sudah OTP
                                    @else 
                                        -
                                    @endif
                                </td>
                                <td>
                                    <button id="btnDetail" data-id="{{ $row->id }}"
                                        class="btn btn-primary btn-sm">
                                        Detail</button>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>

<!-- Modal -->
<div class="modal fade" id="modalDetailUser" tabindex="-1" aria-hidden="true" style="display: none;">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Detail User</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <div class="row">
            <div class="col-md-6">
                <img id="loadImage" style="width: 100%;" />
            </div>
            <div class="col-md-6">
                <input id="user_id" type="hidden" />
                <table class="table">
                    <tr>
                        <td>NIK</td>
                        <td id="nik"></td>
                    </tr>
                    <tr>
                        <td>Nama</td>
                        <td id="nama"></td>
                    </tr>
                </table>
            </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" onClick="verifikasi('tolak')" id="btnTolak">Tolak</button>
        <button type="button" class="btn btn-primary" onClick="verifikasi('terima')" id="btnTerima">Terima</button>
      </div>
    </div>
  </div>
</div>

@endsection

@push('scripts')
<script>
$("#datatable").DataTable();

$('body').on('click', '#btnDetail', function() {
    var data_id = $(this).data('id');
    $.ajax({
        url: '{{ url("users") }}' + '/' + data_id,
        type: 'GET',
        success: function(res) {
            console.log(res);
            $("#modalDetailUser").modal('show');
            $("#nik").html(res.data.nik);
            $("#nama").html(res.data.name);
            $("#user_id").val(res.data.id);
            $("#loadImage").attr("src", "{{ config('global.URL_ASSET_BARU') }}"+"ktp/"+res.data.foto_ktp);
        }
    });
});

function verifikasi(status) {
    var id_user = $("#user_id").val();
    $.ajax({
        url: '{{ route("users.store") }}',
        type: 'POST',
        data: {
            status: status,
            id: id_user,
        },
        success: function(res) {
            Swal.fire({
                title: 'Berhasil',
                text: "Data berhasil diverifikasi",
                icon: 'success',
                showCancelButton: false,
                confirmButtonColor: '#3085d6',
                confirmButtonText: 'OK'
                }).then((result) => {
                    if (result.isConfirmed) {
                        window.location.reload();
                    }
            });
        }
    });
}

</script>
@endpush